Bug 918167 (CVE-2013-0900)

Summary: CVE-2013-0900 icu: Race condition leading to a use-after-free
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: caolanm, denis.arnaud_fedora, ejb, erack
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130221,reported=20130305,source=debian,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/icu=defer,rhel-6/icu=defer,fedora-all/icu=affected,cwe=CWE-416[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 918168    
Bug Blocks: 918170    

Description Jan Lieskovsky 2013-03-05 10:53:24 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-0900 to the following vulnerability:

Race condition in the International Components for Unicode (ICU) functionality in Google Chrome before 25.0.1364.97 on Windows and Linux, and before 25.0.1364.99 on Mac OS X, allows remote attackers to cause a denial of service or possibly have unspecified other impact via unknown vectors.

References:
[1] https://code.google.com/p/chromium/issues/detail?id=152442 (private)
[2] http://googlechromereleases.blogspot.com/2013/02/stable-channel-update_21.html

Other references:
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=702346
[4] http://bugs.icu-project.org/trac/ticket/9737
[5] http://bugs.icu-project.org/trac/changeset/32865
[6] http://bugs.icu-project.org/trac/changeset/32908
Comment 1 Jan Lieskovsky 2013-03-05 10:55:14 EST
Created icu tracking bugs for this issue

Affects: fedora-all [bug 918168]
Comment 3 Huzaifa S. Sidhpurwala 2013-03-11 00:36:26 EDT
Analyzing the issue, the maximum impact seems to be DoS, it is not exploitable.

Statement:

This issue affects the version of icu as shipped with Red Hat Enterprise Linux 5 and 6. The Red Hat Security Response Team has rated this issue as having moderate security impact, a future update may address this flaw.
Comment 4 Fedora Update System 2013-03-15 21:34:30 EDT
icu-4.8.1.1-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-03-16 21:01:43 EDT
icu-49.1.1-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.